summaryrefslogtreecommitdiffstats
path: root/source.local/xap/fvwm
diff options
context:
space:
mode:
Diffstat (limited to 'source.local/xap/fvwm')
-rw-r--r--source.local/xap/fvwm/doinst.sh.gzbin0 -> 279 bytes
-rwxr-xr-xsource.local/xap/fvwm/fvwm.SlackBuild150
-rw-r--r--source.local/xap/fvwm/fvwm.colormap.diff.gzbin0 -> 442 bytes
-rw-r--r--source.local/xap/fvwm/slack-desc19
-rw-r--r--source.local/xap/fvwm/system.fvwm2rc.gzbin0 -> 7625 bytes
-rw-r--r--source.local/xap/fvwm/xinitrc.fvwm2.gzbin0 -> 344 bytes
6 files changed, 169 insertions, 0 deletions
diff --git a/source.local/xap/fvwm/doinst.sh.gz b/source.local/xap/fvwm/doinst.sh.gz
new file mode 100644
index 0000000..7735859
--- /dev/null
+++ b/source.local/xap/fvwm/doinst.sh.gz
Binary files differ
diff --git a/source.local/xap/fvwm/fvwm.SlackBuild b/source.local/xap/fvwm/fvwm.SlackBuild
new file mode 100755
index 0000000..81efd5f
--- /dev/null
+++ b/source.local/xap/fvwm/fvwm.SlackBuild
@@ -0,0 +1,150 @@
+#!/bin/sh
+
+# Copyright 2006, 2007, 2008, 2009 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified 2012 by Eric Hameleers <alien at slackware.com> for ARM port.
+
+
+PKGNAM=fvwm
+VERSION=${VERSION:-2.4.20}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:-" -j7 "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+case "$ARCH" in
+ arm*) TARGET=$ARCH-slackware-linux-gnueabi ;;
+ *) TARGET=$ARCH-slackware-linux ;;
+esac
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-${PKGNAM}
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf ${PKGNAM}-${VERSION}
+tar xvf $CWD/${PKGNAM}-$VERSION.tar.bz2 || exit 1
+cd ${PKGNAM}-$VERSION || exit 1
+
+# Make sure ownerships and permissions are sane:
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Configure:
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc/X11/fvwm2 \
+ --mandir=/usr/man \
+ --enable-multibyte \
+ --program-prefix= \
+ --program-suffix= \
+ --enable-extras \
+ --build=$TARGET
+
+# Build and install:
+make $NUMJOBS || make || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Add some ancient icons:
+( cd $PKG ; tar xzf $CWD/ancient-icons.tar.gz )
+
+# Add a few more things:
+mkdir -p $PKG/etc/X11/xinit
+zcat $CWD/xinitrc.fvwm2.gz > $PKG/etc/X11/xinit/xinitrc.fvwm2
+chmod 755 $PKG/etc/X11/xinit/xinitrc.fvwm2
+mkdir -p $PKG/etc/X11/fvwm2
+zcat $CWD/system.fvwm2rc.gz > $PKG/etc/X11/fvwm2/system.fvwm2rc.new
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}/X11
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/X11 && rm -rf fvwm2 )
+( cd $PKG/usr/lib${LIBDIRSUFFIX}/X11 && ln -sf ../../../etc/X11/fvwm2 fvwm2 )
+
+# Strip binaries:
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+# Compress and link manpages, if any:
+if [ -d $PKG/usr/man ]; then
+ ( cd $PKG/usr/man
+ for manpagedir in $(find . -type d -name "man*") ; do
+ ( cd $manpagedir
+ for eachpage in $( find . -type l -maxdepth 1) ; do
+ ln -s $( readlink $eachpage ).gz $eachpage.gz
+ rm $eachpage
+ done
+ gzip -9 *.*
+ )
+ done
+ )
+fi
+
+# Add a documentation directory:
+mkdir -p $PKG/usr/doc/${PKGNAM}-$VERSION
+cp -a \
+ AUTHORS COPYING INSTALL INSTALL.fvwm NEWS README \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+( cd docs
+ cp -a \
+ ANNOUNCE BUGS DEVELOPERS FAQ TODO color_combos error_codes fvwm.lsm m4_hacks \
+ $PKG/usr/doc/${PKGNAM}-$VERSION
+)
+
+mkdir -p $PKG/install
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/${PKGNAM}-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source.local/xap/fvwm/fvwm.colormap.diff.gz b/source.local/xap/fvwm/fvwm.colormap.diff.gz
new file mode 100644
index 0000000..9033528
--- /dev/null
+++ b/source.local/xap/fvwm/fvwm.colormap.diff.gz
Binary files differ
diff --git a/source.local/xap/fvwm/slack-desc b/source.local/xap/fvwm/slack-desc
new file mode 100644
index 0000000..77995d9
--- /dev/null
+++ b/source.local/xap/fvwm/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+fvwm: fvwm (a small and fast virtual window manager for X)
+fvwm:
+fvwm: Fvwm is the classic highly-configurable virtual window manager for
+fvwm: X11. It is a derivative of twm, redesigned to minimize memory
+fvwm: consumption, provide a 3-D look to window frames, and provide a simple
+fvwm: virtual desktop.
+fvwm:
+fvwm:
+fvwm:
+fvwm:
+fvwm:
diff --git a/source.local/xap/fvwm/system.fvwm2rc.gz b/source.local/xap/fvwm/system.fvwm2rc.gz
new file mode 100644
index 0000000..423cfa3
--- /dev/null
+++ b/source.local/xap/fvwm/system.fvwm2rc.gz
Binary files differ
diff --git a/source.local/xap/fvwm/xinitrc.fvwm2.gz b/source.local/xap/fvwm/xinitrc.fvwm2.gz
new file mode 100644
index 0000000..944f72c
--- /dev/null
+++ b/source.local/xap/fvwm/xinitrc.fvwm2.gz
Binary files differ